<template>
  <b-container fluid>
    <b-row class="mt-2 mb-2">
      <b-col cols="6">
        <h2>Pedidos</h2>
      </b-col>
      <b-col cols="6" class="d-flex justify-content-end">
        <b-button variant="primary" @click="newRequest">Nuevo pedido</b-button>
      </b-col>
    </b-row>
    <b-row>
      <RequestList ref="request_list" />
    </b-row>
    <b-modal ref="request_modal" centered size="xl" title="Pedido" hide-footer>
      <RequestForm @cancel="$refs.request_modal.hide()" @saved="onRequestSaved" />
    </b-modal>
  </b-container>
</template>


<script>
import RequestList from "@/components/RequestList";
import RequestForm from "@/components/RequestForm";

export default {
  name: "request-view",
  components: {
    RequestList,
    RequestForm
  },
  methods: {
    newRequest() {
      this.$refs.request_modal.show();
    },
    onRequestSaved() {
      this.$refs.request_modal.hide();
      this.$refs.request_list.refresh();
    }
  },
  data() {
    return {};
  }
};
</script>
